Переполнение буфера в Evince

Дата публикации:
30.11.2006
Дата изменения:
30.11.2006
Всего просмотров:
1301
Опасность:
Средняя
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Evince 0.x
Уязвимые версии: Evince 0.6.1, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "get_next_text()" в файле ps/ps.c. Злоумышленник может обманом заставить пользователя открыть злонамеренный PostScript файл и выполнить произвольный код на системе.

URL производителя: www.gnome.org/projects/evince/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Evince Document Viewer (DocumentMedia) Buffer Overflow Exploit

или введите имя

CAPTCHA